POST Items
Use this endpoint to create a new item within a branch.
User level: Advanced
Endpoint
POST /v1/{scopeId}/items| Property | Value |
|---|---|
| Method | POST |
| Scope ID | Branch UUID |
| Authentication | Authorization: Bearer <access_token> |
| Required scope | routix:items:write |
| Content-Type | application/json |
| Request body | JSON object |
Create rules
- Items are branch-or-null resources, but the request still uses a branch UUID in the URL.
organization_idandbranch_idare set server-side.
Allowed create fields
| Field |
|---|
name |
code |
status |
unit |
description |
Example request
curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/items" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \
-H "Content-Type: application/json" \
-d '{
"name": "Pallet",
"code": "PALLET",
"status": "active",
"unit": "piece"
}'Example response
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440061",
"name": "Pallet",
"code": "PALLET",
"status": "active",
"unit": "piece"
},
"version": "v1"
}Last updated on

